Results 1 to 10 of 10

Thread: Fillet two lines

  1. #1
    Member
    Join Date
    2003-02
    Location
    Calgary, AB
    Posts
    44
    Login to Give a bone
    0

    Default Fillet two lines

    I have two objects: objLine1 & objLine2. Is there a fillet utility or do I have to do this that hard way and draw arcs?
    Last edited by cgerhardt; 2006-08-16 at 08:43 PM.

  2. #2
    Certified AUGI Addict rkmcswain's Avatar
    Join Date
    2004-09
    Location
    Earth
    Posts
    9,631
    Login to Give a bone
    0

    Default Re: Fillet two lines

    Hard way.

    Calculate the arc center point, and the two tangent points, then draw the arc and reset each line endpoint.
    R.K. McSwain | CAD Panacea |

  3. #3
    All AUGI, all the time Firmso's Avatar
    Join Date
    2006-03
    Location
    Here, Still
    Posts
    549
    Login to Give a bone
    0

    Default Re: Fillet two lines

    Quote Originally Posted by cgerhardt
    I have two objects: objLine1 & objLine2. Is there a fillet utility or do I have to do this that hard way and draw arcs?
    Just do a fillet command and enter R for radius. That's normal cad. Nothing hard about that unless you are after something that requires calculating exact coordinates and distances.

  4. #4
    Certified AUGI Addict rkmcswain's Avatar
    Join Date
    2004-09
    Location
    Earth
    Posts
    9,631
    Login to Give a bone
    0

    Default Re: Fillet two lines

    Quote Originally Posted by Firmso
    Just do a fillet command
    This is the VBA forum.

    I assume the OP is wanting to do this using VBA, not manual user entry at the command line.
    R.K. McSwain | CAD Panacea |

  5. #5
    All AUGI, all the time Firmso's Avatar
    Join Date
    2006-03
    Location
    Here, Still
    Posts
    549
    Login to Give a bone
    0

    Default Re: Fillet two lines

    Quote Originally Posted by rkmcswain
    This is the VBA forum.

    I assume the OP is wanting to do this using VBA, not manual user entry at the command line.
    The guy is asking for a utility or he's gonna draw it in.
    I thought maybe he didn't know.
    Sorry if I hurt somebody's feelings.

  6. #6
    Certified AUGI Addict rkmcswain's Avatar
    Join Date
    2004-09
    Location
    Earth
    Posts
    9,631
    Login to Give a bone
    0

    Default Re: Fillet two lines

    Quote Originally Posted by Firmso
    The guy is asking for a utility or he's gonna draw it in.
    I thought maybe he didn't know.
    Sorry if I hurt somebody's feelings.
    No feelings hurt here.
    The OP is looking for a FILLET method in VBA, and it doesn't exist.
    R.K. McSwain | CAD Panacea |

  7. #7
    Member
    Join Date
    2003-02
    Location
    Calgary, AB
    Posts
    44
    Login to Give a bone
    0

    Default Re: Fillet two lines

    Yes it was in VBA. That's exact what I thought! For what I need it's easier in AutoLISP.

    Thanks for the replies.

  8. #8
    Certified AUGI Addict rkmcswain's Avatar
    Join Date
    2004-09
    Location
    Earth
    Posts
    9,631
    Login to Give a bone
    0

    Default Re: Fillet two lines

    Quote Originally Posted by cgerhardt
    For what I need it's easier in AutoLISP.
    You are probably right. I am currently working on a VBA routine to assist in the creation of median breaks, left hand turn lanes, etc. - using specific criteria. Manually creating these "fillets" is not fun.
    R.K. McSwain | CAD Panacea |

  9. #9
    AUGI Addict fixo's Avatar
    Join Date
    2005-05
    Location
    Pietari, Venäjä
    Posts
    1,269
    Login to Give a bone
    0

    Default Re: Fillet two lines

    I use SendCommand and nothing else,
    w/o any calculation
    Code:
    Sub FilletLines()
    Dim objLine1 As AcadLine
    Dim objLine2 As AcadLine
    Dim varPt As Variant
    Dim dblFill, newSysVar As Double
    Dim comString As String
    
    dblFill = ThisDrawing.GetVariable("FILLETRAD")
    
    On Error GoTo ProblemHere
    
    MsgBox CStr(dblFill)
    newSysVar = CDbl(InputBox("Enter fillet radius:", "Fillet Radius Value", "2,5"))
    ThisDrawing.Utility.GetEntity objLine1, varPt, "Select first line"
    ThisDrawing.Utility.GetEntity objLine2, varPt, "Select second line"
    
    If objLine1 Is Nothing Or objLine2 Is Nothing Then
    Exit Sub
    Else
    If TypeOf objLine1 Is AcadLine And _
       TypeOf objLine2 Is AcadLine Then
    ThisDrawing.SetVariable "FILLETRAD", newSysVar
    comString = "_FILLET" & vbCr & "(HANDENT " & Chr(34) & CStr(objLine1.Handle) & Chr(34) & ")" & vbCr & _
    "(HANDENT " & Chr(34) & CStr(objLine2.Handle) & Chr(34) & ")" & vbCr
    ThisDrawing.SendCommand comString
    Else
    MsgBox "Incorrect object type"
    Exit Sub
    End If
    End If
    ThisDrawing.SetVariable "FILLETRAD", dblFill
    
    ProblemHere:
    If Err Then
    ThisDrawing.SetVariable "FILLETRAD", dblFill
    MsgBox vbCr & Err.Description
    End If
    End Sub
    ~'J'~

  10. #10
    Woo! Hoo! my 1st post
    Join Date
    2017-08
    Posts
    1
    Login to Give a bone
    0

    Default Re: Fillet two lines

    Quote Originally Posted by fixo View Post
    I use SendCommand and nothing else,
    w/o any calculation
    Code:
    Sub FilletLines()
    Dim objLine1 As AcadLine
    Dim objLine2 As AcadLine
    Dim varPt As Variant
    Dim dblFill, newSysVar As Double
    Dim comString As String
    
    dblFill = ThisDrawing.GetVariable("FILLETRAD")
    
    On Error GoTo ProblemHere
    
    MsgBox CStr(dblFill)
    newSysVar = CDbl(InputBox("Enter fillet radius:", "Fillet Radius Value", "2,5"))
    ThisDrawing.Utility.GetEntity objLine1, varPt, "Select first line"
    ThisDrawing.Utility.GetEntity objLine2, varPt, "Select second line"
    
    If objLine1 Is Nothing Or objLine2 Is Nothing Then
    Exit Sub
    Else
    If TypeOf objLine1 Is AcadLine And _
       TypeOf objLine2 Is AcadLine Then
    ThisDrawing.SetVariable "FILLETRAD", newSysVar
    comString = "_FILLET" & vbCr & "(HANDENT " & Chr(34) & CStr(objLine1.Handle) & Chr(34) & ")" & vbCr & _
    "(HANDENT " & Chr(34) & CStr(objLine2.Handle) & Chr(34) & ")" & vbCr
    ThisDrawing.SendCommand comString
    Else
    MsgBox "Incorrect object type"
    Exit Sub
    End If
    End If
    ThisDrawing.SetVariable "FILLETRAD", dblFill
    
    ProblemHere:
    If Err Then
    ThisDrawing.SetVariable "FILLETRAD", dblFill
    MsgBox vbCr & Err.Description
    End If
    End Sub
    ~'J'~
    Thank fixo!

    It work good with Line but not for polyline

Similar Threads

  1. Fillet perpendicular lines
    By Raudel Hinojosa Sr in forum AutoLISP
    Replies: 2
    Last Post: 2015-08-07, 06:40 AM
  2. 2012: I can't fillet construction lines in my drawing
    By IanR in forum AutoCAD LT - General
    Replies: 2
    Last Post: 2013-08-23, 07:29 PM
  3. z-axis fillet between lines
    By eli_lied in forum AutoCAD General
    Replies: 2
    Last Post: 2009-03-04, 01:08 PM
  4. Fillet vs Curve between 2 lines
    By smcgypsea in forum Land Desktop - General
    Replies: 1
    Last Post: 2008-08-05, 08:03 PM
  5. fillet/chamfer non-coplaner lines
    By IanR in forum AutoCAD Wish List
    Replies: 0
    Last Post: 2006-01-07, 12:20 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •